Skip to content
Last updated

DeleteOAuthCredential

Deletes an OAuth Credential Record.

Removes OAuth Credential record. This action cannot be undone.

Request Parameters

ParameterTypeDescriptionRequired
actionstring"DeleteOAuthCredential"Required
credentialIdintThe credential id to be deletedRequired

Response Parameters

ParameterTypeDescription
resultstringThe result of the operation: success or error
credentialIdintThe credential id that was deleted

Example Request (CURL)

$ch = curl_init();
curl_setopt($ch, CURLOPT_URL, 'https://www.example.com/includes/api.php');
curl_setopt($ch, CURLOPT_POST, 1);
curl_setopt($ch, CURLOPT_POSTFIELDS,
    http_build_query(
        array(
            'action' => 'DeleteOAuthCredential',
            // See https://developers.whmcs.com/api/authentication
            'username' => 'IDENTIFIER_OR_ADMIN_USERNAME',
            'password' => 'SECRET_OR_HASHED_PASSWORD',
            'credentialId' => '1',
            'responsetype' => 'json',
        )
    )
);
curl_setopt($ch, CURLOPT_RETURNTRANSFER, 1);
$response = curl_exec($ch);
curl_close($ch);

Example Request (Local API)

$command = 'DeleteOAuthCredential';
$postData = array(
    'credentialId' => '1',
);
$adminUsername = 'ADMIN_USERNAME'; // Optional for WHMCS 7.2 and later

$results = localAPI($command, $postData, $adminUsername);
print_r($results);

Example Response JSON

{
    "result": "success",
    "credentialId": "1"
}

Error Responses

Possible error condition responses include:

  • Invalid Credential ID provided.

Version History

VersionChangelog
1.0Initial Version